# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-
---

AGI_GPG_SERVER: keys.gentoo.org
AGI_GPG_KEYERVER_URL: hkps://keys.gentoo.org

agi_gpg_keys_system:
  - uid: E1D6ABB63BFCFB4BA02FDF1CEC590EEAC9189250
# key DB6B8C1F96D8BF6D: "Gentoo ebuild repository signing key (Automated Signing Key) <infrastructure@gentoo.org>"

AGI_install_baseurl: "http://distfiles.gentoo.org/releases/amd64/autobuilds/"
AGI_portage_baseurl: "https://distfiles.gentoo.org/snapshots/"

AGI_install_latest_stage_pointer: "latest-stage3-amd64.txt"
AGI_install_portage_makeconf_default:
  MAKEOPTS: "-j{{ ansible_processor_vcpus | default(1) }}"
  USE: "-X verify-sig"
  CFLAGS: "-march=native -O2 -pipe"
  
AGI_install_portage_conf_files:
  'package.accept_keywords': |
    =sys-kernel/genkernel-4.3* ~amd64

AGI_consolefont_font_size: '28'
AGI_use_local_kernel: false
AGI_bootstrap_links:
  - from: /var/db/repos/gentoo
    to: /usr/portage

AGI_bootstrap_modules:
  - virtio_console
  
# NO LEADING /
AGI_bootstrap_dirs:
  - usr/local/etc/local.d
  - usr/portage/distfiles
  - etc/portage/package.accept_keywords
  - etc/portage/package.license
  - etc/portage/package.mask
  - etc/portage/package.unmask
  - etc/portage/package.use
  - etc/portage/postsync.d
  - etc/portage/profile
  - etc/portage/repo.postsync.d
  - etc/portage/repos.conf
  - etc/portage/savedconfig
  - etc/portage/sets
  - usr/local/tmp/bootstrap/logs
  - usr/local/tmp/bootstrap/distfiles

AGI_bootstrap_files:
  - usr/local/etc/local.d/local.bash
  - usr/local/bin/usr_local_tput.bash
  - usr/local/bin/proxy_export.bash
  - etc/hosts
  - etc/resolv.conf

AGI_bootstrap_uris:
  - http://distfiles.gentoo.org/distfiles/00/elfutils-0.190.tar.bz2
  - http://distfiles.gentoo.org/distfiles/4b/glib-2.76.4.tar.xz
  - http://distfiles.gentoo.org/distfiles/60/shared-mime-info-2.2.tar.gz
  - http://distfiles.gentoo.org/distfiles/fc/qemu-8.0.3.tar.xz

AGI_bootstrap_pips3:
   - negotiator-guest
   
#    proxy_pkgs_inst:
AGI_bootstrap_pkgs:
  - app-admin/sudo
  - sys-boot/grub:2
  - sys-boot/syslinux
  - app-editors/mg
  - qemu-guest-agent
  - sys-apps/gptfdisk
  - net-analyzer/openbsd-netcat
  - app-admin/logrotate
  - "sys-process/{{ AGI_install_cron_daemon }}"
  - "app-admin/{{ AGI_install_syslog_daemon}}"
  - "sys-boot/{{ AGI_install_bootloader }}"  
  - media-fonts/terminus-font
  - net-misc/curl
  - app-arch/unzip
  - net-libs/pacparser
  - sys-process/lsof
  - dev-util/strace
  - app-portage/eix
  - sys-libs/gpm
  - linux-firmware
  - net-dns/bind-tools
#  - www-client/lynx
  - app-admin/supervisor
  - dev-python/pip

AGI_cloud_pkgs:
  # get these from base.json
  - acpid
  - dmidecode
  - mlocate
  - xfsprogs
  - dosfstools
  - portage-utils
  - gentoo-bashcomp
  - tmux
  - app-misc/screen
  - dev-vcs/git
  - usbutils
  - pciutils
  - net-misc/ntp
  - net-fs/nfs-utils
  # get these from config.json
#  - app-emulation/cloud-init
#  - sys-block/open-iscsi
